/*
 * TagForTreeNode.cs
 * Copyright (c) 2007-2009 kbinani
 *
 * This file is part of LipSync.
 *
 * LipSync is free software; you can redistribute it and/or
 * modify it under the terms of the BSD License.
 *
 * LipSync is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */
using System;

namespace LipSync {

    [Obsolete]
    public class TagForTreeNode {
        public ZorderItemType type;
        public int id_or_index;
        public bool is_checked; // チェック済みかどうかを表す

        public TagForTreeNode( ZorderItemType type, int id_or_index ) {
            this.type = type;
            this.id_or_index = id_or_index;
            this.is_checked = false;
        }

        public override string ToString() {
            switch( type ) {
                case ZorderItemType.another:
                    return AppManager.SaveData.m_group_another[id_or_index].Text;
                case ZorderItemType.character:
                    return AppManager.SaveData.m_groups_character[id_or_index].Text;
                case ZorderItemType.plugin:
                    return AppManager.SaveData.m_group_plugin[id_or_index].Text;
                case ZorderItemType.telop:
                    return AppManager.SaveData.m_telop_ex2[id_or_index].Text;
            }
            return "";
        }
    }

}
